assuming you already have a browser addon such as Greasemonkey, Tampermonkey, or Violentmonkey installed, simply

## [click here to install](https://gist.github.com/notwa/9b8466b0c2ca48d756afcd02a5e43739/raw/YouTube%2520audio%2520compressor.user.js)

![what it looks like when installed](https://user-images.githubusercontent.com/1459466/281552372-282b2d47-ebe9-4a64-996c-60d8fc3905f4.png)

this userscript is a heavily customized fork of [Vivelin's original userscript](https://gist.github.com/Vivelin/2321d17bf26016ceaed87d6d1a281881)
and integrates [a limiter written by Wareya](https://github.com/wareya/LimiterTest) that i've ported to JavaScript.

## usage

click on the gear symbol near the bottom right of YouTube's video player to access these features:

### Level Boost

this adds +10 decibels of gain to the audio, as well as a brickwall limiter to reduce unwanted distortion (clipping).

this works in conjunction with YouTube's volume slider, so if +10 dB is a little too much, simply turn the volume down.

### Compressor

in terms of volume, this squeezes the quiet and loud parts closer together to allow for a more uniform listening experience.

this compressor has been tuned to be less responsive to bass and treble frequencies, which helps to reduce "pumping" artifacts.
note that the level boost feeds into the compressor, so the amount of compression somewhat increases with both features enabled.
